import { BasePackWidget } from '../../basic';
import { DefaultRowWidget } from './DefaultRowWidget';
export declare class DefaultColWidget extends BasePackWidget {
    protected rowWidget: DefaultRowWidget;
    constructor(rowWidget: DefaultRowWidget);
    initialize(props: any): this;
    get offset(): number;
    get span(): number;
    protected get mode(): any;
    get width(): any;
    get minWidth(): any;
    get maxWidth(): any;
}
